Bug 447421 - Intermittent unresponsiveness due to pdflush or kjournald (regression)
Summary: Intermittent unresponsiveness due to pdflush or kjournald (regression)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-19 21:08 UTC by Emmanuel Kowalski
Modified: 2009-07-14 15:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:47:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 421482 None None None Never

Description Emmanuel Kowalski 2008-05-19 21:08:28 UTC
Description of problem:
Since upgrading my Thinkpad T61p to Fedora 9, there are intermittent periods
where the system is unresponsive while (apparently) pdflush/kjournald write to
the hard drive (around 1MB/s, as reported by gkrellm). After a few (around 10 to
15) seconds, everything becomes OK again. (Unresponsiveness is not absolute, but
for instance it is not possible to select / change the location bar in Firefox).

Version-Release number of selected component (if applicable):
kernel-2.6.25.3-18.fc9.x86_64

How reproducible:
Always, but happens only every once in a while (I haven't found a more precise
time pattern yet).

Steps to Reproduce:
1. Work normally for a while.
2. After some time, pdflush/kjournald start writing to the disk.
3. 
  
Actual results:
The system is unresponsive.

Expected results:
No particular un-responsiveness.

Additional info:
This did not happen with Fedora 8 on the same machine, as far as I remember.

Since I don't really know how to play around with the type of settings involved
here, I haven't been able to investigate better the conditions leading to the
problem, nor possible workarounds.

Comment 1 Emmanuel Kowalski 2008-05-22 06:03:10 UTC
After reading about the following problem with Firefox and fsync

https://bugzilla.mozilla.org/show_bug.cgi?id=421482

I think this may be what I have observed.


Comment 2 Bug Zapper 2009-06-10 01:01:17 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 15:47:22 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.